package com.cf.imes.module.system.service.systemconfig;

import com.cf.imes.module.system.controller.admin.systemconfig.vo.*;
import com.cf.imes.module.system.dal.dataobject.systemconfig.SystemConfigDO;

import java.util.List;

/**
 * 系统配置接口
 *
 * @author Gqr
 * @since 2024/11/7 16:27
 */
public interface SystemConfigService {
    /**
     * 分页查询系统配置管理列表
     *
     * @param reqVO
     * @return
     */
    List<SystemConfigDO> getSystemConfigList(ConfigPageReqVO reqVO);


    /**
     * 根据id查询基础配置
     *
     * @param id
     * @return
     */
    SystemConfigDO getSystemConfig(Long id,Integer type);

    /**
     * 新增/修改基础配置
     *
     * @param reqVO
     */
    void modifySystemConfig(ConfigSaveReqVO reqVO);

    /**
     * 更新基础配置状态
     *
     * @param reqVO
     */
    void updateStatus(ConfigUpdateStatusReqVO reqVO);

    /**
     * 更新基础配置顺序
     *
     * @param reqVO
     */
    void updateConfigSort(List<ConfigUpdateSortReqVO> reqVO);

    /**
     * 查询组织下自定义板编号配置（缓存）
     *
     * @return
     */
    SystemConfigDO getOrgCustomPlateNoConfig();

    void deleteSystemConfig(ConfigDeleteReqVO reqVO);


}
